const https = require('https');
const APPID = '手动打码';
const SECRET = '手动打码';

function code2Session(code) {
    return new Promise((resolve, reject) => {
        const req = https.request({
            hostname: 'api.weixin.qq.com',
            path: `/sns/jscode2session?appid=${APPID}&secret=${SECRET}&js_code=${code}&grant_type=authorization_code`,
            method: 'GET'
        }, res => {
            let result = '';
            res.on('data', secCheck => {
                result += secCheck;
            });
            res.on('end', secCheck => {
                resolve( JSON.parse(result) );
            })
            res.on('error', err => {
                reject(err);
            });
        });

        req.on('error', err => {
            reject(err);
        })
        req.end();
    });
}

module.exports = {
    code2Session
}